net.sourceforge.pmd.cpd

## Class MatchAlgorithmTest

- java.lang.Object
- - net.sourceforge.pmd.cpd.MatchAlgorithmTest

-     public class MatchAlgorithmTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LINE_1`
    `static String` | `LINE_2`
    `static String` | `LINE_3`
    `static String` | `LINE_4`
    `static String` | `LINE_5`
    `static String` | `LINE_6`
    `static String` | `LINE_7`
    `static String` | `LINE_8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchAlgorithmTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getSampleCode()`
    `static junit.framework.Test` | `suite()`
    `void` | `testIgnore()`
    `void` | `testSimple()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_1

          public static final String LINE_1

      See Also:
        Constant Field Values

    - #### LINE_2

          public static final String LINE_2

      See Also:
        Constant Field Values

    - #### LINE_3

          public static final String LINE_3

      See Also:
        Constant Field Values

    - #### LINE_4

          public static final String LINE_4

      See Also:
        Constant Field Values

    - #### LINE_5

          public static final String LINE_5

      See Also:
        Constant Field Values

    - #### LINE_6

          public static final String LINE_6

      See Also:
        Constant Field Values

    - #### LINE_7

          public static final String LINE_7

      See Also:
        Constant Field Values

    - #### LINE_8

          public static final String LINE_8

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MatchAlgorithmTest

          public MatchAlgorithmTest()

  - ### Method Detail

    - #### getSampleCode

          public static String getSampleCode()

    - #### testSimple

          public void testSimple()
                          throws Throwable

      Throws:
        `Throwable`

    - #### testIgnore

          public void testIgnore()
                          throws Throwable

      Throws:
        `Throwable`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.